import { DirectLinkParams, DownloadParams, Options, UrlType$1 as UrlType, defineConfig$1 as defineConfig } from "./config-BQe32DQp.js";

//#region src/core/animeidhentai.d.ts
declare function getAnimeIdHentaiLink(params: DirectLinkParams, options?: Partial<Options>): Promise<string>;
declare function downloadAnimeIdHentai(params: DownloadParams, options?: Partial<Options>): Promise<void>;

//#endregion
//#region src/core/bilibili.d.ts
declare function getBilibiliLink(link: string): string;
declare function downloadBilibili(params: DownloadParams): Promise<void>;

//#endregion
//#region src/core/dirpy.d.ts
declare function getDirpyLink(params: DirectLinkParams, options?: Partial<Options>): Promise<string>;
declare function downloadDirpy(params: DownloadParams, options?: Partial<Options>): Promise<void>;

//#endregion
//#region src/core/m3u8.d.ts
interface M3U8ParserParams {
  input: string;
  output: string;
  cwd?: string;
}
/**
 * Get remote m3u8 stream, then use ffmpeg to parse it to mp4.
 */
declare function remoteM3U8ToMP4(params: M3U8ParserParams, options?: Partial<Options>): Promise<void>;

//#endregion
//#region src/core/index.d.ts
declare function downloadVideo(params: DownloadParams, options?: Partial<Options>): Promise<void>;

//#endregion
export { DirectLinkParams, DownloadParams, Options, UrlType, defineConfig, downloadAnimeIdHentai, downloadBilibili, downloadDirpy, downloadVideo, getAnimeIdHentaiLink, getBilibiliLink, getDirpyLink, remoteM3U8ToMP4 };